"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _toggle = require("@mathdoy/toggle");

var _ToggleProvider = _interopRequireDefault(require("./ToggleProvider"));

var _WithToggle = _interopRequireDefault(require("../fixtures/WithToggle"));

/* eslint-disable no-unused-vars */
describe("withToggle", function () {
  it("Component should render foo feature", function () {
    var toggle = (0, _toggle.createToggle)({
      features: {
        foo: true
      }
    });
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_ToggleProvider.default, {
      toggle: toggle
    }, _react.default.createElement(_WithToggle.default, null)));
    expect(wrapper.find(_WithToggle.default)).toHaveLength(1);
    expect(wrapper.html()).toBe("<div><div>foo</div></div>");
  });
  it("Component should NOT render foo feature", function () {
    var toggle = (0, _toggle.createToggle)({
      features: {
        foo: false
      }
    });
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_ToggleProvider.default, {
      toggle: toggle
    }, _react.default.createElement(_WithToggle.default, null)));
    expect(wrapper.find(_WithToggle.default)).toHaveLength(1);
    expect(wrapper.html()).toBe("<div></div>");
  });
});